Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.exception
Class GraphFormattingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  kieker.tools.traceAnalysis.filter.visualization.exception.GraphFormattingException

All Implemented Interfaces:
  Serializable

    public class GraphFormattingException

extends RuntimeException

Generic exception which denotes that an error has occured during graph formatting.

Since:
  1.6
Author:
  Holger Knoche
See Also:
  Serialized Form

Constructor Summary
`GraphFormattingException(String message)` Creates a new exception with the given message.
`GraphFormattingException(String message, Throwable cause)` Creates a new exception with a given message and a given cause.
`GraphFormattingException(Throwable cause)` Creates a new exception with the given cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GraphFormattingException

    public GraphFormattingException(String message)

  Creates a new exception with the given message.

  Parameters:
    `message` - The message to use

### GraphFormattingException

    public GraphFormattingException(Throwable cause)

  Creates a new exception with the given cause.

  Parameters:
    `cause` - The cause of this exception

### GraphFormattingException

    public GraphFormattingException(String message,
                                    Throwable cause)

  Creates a new exception with a given message and a given cause.

  Parameters:
    `message` - The message to use
    `cause` - The cause of this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net